﻿/*
 Name:		STM32F1-AD7606-SPI.ino
 Created:	15.11.2021
 Author:	   Ulli
*/

#include <UrsSTM32F1-AD7606Spi.h>
#include "AppVersion.h"
#include "SerialControl.h"
#include "AD7606Control.h"

AD7606Control ad7606; // Ermöglicht "ad7606." anstatt "AD7606Interface::"

// Serielle Schnittstelle definieren
// Alle Aktionen mit der seriellen Schnittstelle laufen über dieses Objekt
SerialControl serialControl(ad7606.startSampling, ad7606.setTime, ad7606.setCount, ad7606.reset);

AD7606DataSet data;

void setup() {
   serialControl.begin();
   delay(500); // Der Treiber der USB-USART muss sich nach dem Programmieren wieder bei Windows anmelden
   serialControl.println("\n---------------------------------");
   serialControl.print(APP_NAME); serialControl.print(" Verion "); serialControl.println(VERSIONSTRING);

   ad7606.begin(&serialControl); // Schnittstelle initialisieren
  
   serialControl.println("loop running");
}

void loop() {
   if (ad7606.hasFinished()) { // Messreihe komplett
      ad7606.printReport();
   }

   serialControl.handle(); // Input über Serial verarbeiten
}