﻿/*
 Name:		STM32_USART_DMA.ino
 Created:	05.11.2021
 Author:	   Ulli

  Version 1.0 (2021-11-05)
 -------------------------
 - Basis-Version

  Version 1.1 (2021-11-28)
 -------------------------
 - Kommando r (Reset) des AD706 hinzugefügt.
*/

#include "AppVersion.h"
#include "SerialControl.h"
#include "AD7606Control.h"

AD7606Control ad7606; // Ermöglicht "ad7606." anstatt "AD7606Interface::"

// Serielle Schnittstelle definieren
// Alle Aktionen mit der seriellen Schnittstelle laufen über dieses Objekt
SerialControl serialControl(ad7606.startSampling, ad7606.setTime, ad7606.setCount, ad7606.reset);


void setup() {
   serialControl.begin();
   delay(500); // Der Treiber der USB-USART muss sich nach dem Programmieren wieder bei Windows anmelden
   serialControl.println("\n---------------------------------");
   serialControl.print(APP_NAME); serialControl.print(" Verion "); serialControl.println(VERSIONSTRING);

   ad7606.begin(&serialControl); // Schnittstelle initialisieren

   serialControl.println("loop running");
}

void loop() {
   if (ad7606.hasFinished()) { // Messreihe komplett
      ad7606.printReport();
   }

   serialControl.handle();
}